## pgpool2 3.6.7

=== debian/changelog ===
pgpool2 (3.6.7-1) unstable; urgency=medium

  * New upstream version.
    + Supports OpenSSL 1.1. (Closes: #859552)
  * Remove pgpool2-dbg package.
  * Fix path of pg_md5 and pcp_recovery_node in scripts. (Closes: #877851)

 -- Christoph Berg <myon@debian.org>  Thu, 16 Nov 2017 20:59:45 +0100

pgpool2 (3.6.6-2) unstable; urgency=medium

  * Remove rpath from pgpool_adm.so.

 -- Christoph Berg <myon@debian.org>  Mon, 25 Sep 2017 18:37:22 +0200

pgpool2 (3.6.6-1) unstable; urgency=medium

  * Team upload for PostgreSQL 10 support.
  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 22 Sep 2017 11:40:11 +0200

=== debian/control ===
Source: pgpool2
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Marco Nenciarini <mnencia@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 bison,
 chrpath,
 debhelper (>= 9),
 debhelper (>= 9.20160709) | dh-systemd (>= 1.19),
 dh-autoreconf,
 docbook,
 docbook-dsssl,
 docbook-xml,
 docbook-xsl,
 flex,
 libmemcached-dev,
 libpam0g-dev,
 libpq-dev,
 libssl-dev,
 libxml2-utils,
 openjade,
 opensp,
 postgresql-server-dev-all (>= 148~),
 xsltproc,
Standards-Version: 4.1.1
Homepage: https://www.pgpool.net/mediawiki/index.php/Main_Page
Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgpool2.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgpool2.git
XS-Testsuite: autopkgtest

Package: pgpool2
Architecture: any
Depends:
 libpgpool0 (= ${binary:Version}),
 lsb-base (>= 3.0-3),
 postgresql-common (>= 26),
 ucf,
 ${misc:Depends},
 ${shlibs:Depends},
Enhances: postgresql
Conflicts: pgpool
Replaces: pgpool
Description: connection pool server and replication proxy for PostgreSQL
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client. It provides the following features:
 .
  * Connection Pooling
  * Replication
  * Load Balance
  * Limiting Exceeding Connections
  * Parallel Query
 .
 pgpool-II talks PostgreSQL's backend and frontend protocol, and relays a
 connection between them. Therefore, a database application (frontend) thinks
 that pgpool-II is the actual PostgreSQL server, and the server (backend) sees
 pgpool-II as one of its clients. Because pgpool-II is transparent to both the
 server and the client, an existing database application can be used with
 pgpool-II almost without a change to its sources.
 .
 This is version 3 of pgpool-II, the second generation of pgpool.

Package: libpgpool0
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pgpool2 (<< 3.1.1)
Description: pgpool control protocol library
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client.  This package contains the pgpool control
 protocol library (libpcp).

Package: libpgpool-dev
Architecture: any
Section: libdevel
Depends: libpgpool0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
# We also provide /usr/lib/libpcp.{a,so}
Conflicts: libpcp3-dev
Description: pgpool control protocol library - headers
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client.  This package contains headers for the pgpool
 control protocol library (libpcp).

Package: postgresql-10-pgpool2
Architecture: any
Depends:
 libpgpool0 (= ${binary:Version}),
 postgresql-10,
 ${misc:Depends},
 ${shlibs:Depends},
Description: connection pool server and replication proxy for PostgreSQL - modules
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client.  This package contains support modules for
 the PostgreSQL 10 server:
 .
  * pgpool_adm
  * pgpool_recovery (PostgreSQL 9.1 and above)
  * pgpool_regclass (PostgreSQL 9.1 and above)

## pgpool2 3.7.2

=== debian/changelog ===
pgpool2 (3.7.2-1) unstable; urgency=medium

  * New upstream version.
  * Use SIGINT to stop service. Suggested by Gunnar Bluth, thanks!
    (Closes: #828769)
  * Move packaging repository to salsa.debian.org

 -- Christoph Berg <myon@debian.org>  Sun, 18 Feb 2018 12:52:30 +0100

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
  xsltproc,
 Standards-Version: 4.1.1
 Homepage: https://www.pgpool.net/mediawiki/index.php/Main_Page
-Vcs-Git: https://anonscm.debian.org/git/pkg-postgresql/pgpool2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-postgresql/pgpool2.git
+Vcs-Git: https://salsa.debian.org/postgresql/pgpool2.git
+Vcs-Browser: https://salsa.debian.org/postgresql/pgpool2
 XS-Testsuite: autopkgtest
 
 Package: pgpool2

## pgpool2 3.7.3

=== debian/changelog ===
pgpool2 (3.7.3-1ubuntu1) cosmic; urgency=medium

  * d/p/lp1777418-fix-arm-crash.patch: Fix crash on arm due to different
    retval handling triggering a segfault (LP: #1777418).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 18 Jun 2018 12:18:37 +0200

pgpool2 (3.7.3-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Sun, 27 May 2018 22:39:13 +0200

## pgpool2 4.0.2

=== debian/changelog ===
pgpool2 (4.0.2-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 03 Dec 2018 14:39:30 +0100

pgpool2 (3.7.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Oct 2018 13:43:34 +0200

pgpool2 (3.7.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 11 Jul 2018 22:36:50 +0200

pgpool2 (3.7.4-1) unstable; urgency=medium

  * New upstream version.
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Sun, 08 Jul 2018 17:35:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: pgpool2
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Marco Nenciarini <mnencia@debian.org>,
@@ -84,17 +84,17 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
-Package: postgresql-10-pgpool2
+Package: postgresql-11-pgpool2
 Architecture: any
 Depends:
  libpgpool0 (= ${binary:Version}),
- postgresql-10,
+ postgresql-11,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: connection pool server and replication proxy for PostgreSQL - modules
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client.  This package contains support modules for
- the PostgreSQL 10 server:
+ the PostgreSQL 11 server:
  .
   * pgpool_adm
   * pgpool_recovery (PostgreSQL 9.1 and above)

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

LDFLAGS += -Wl,--as-needed

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C src/sql clean
	rm -f config.log
	$(MAKE) -C src/sql/pgpool_adm clean USE_PGXS=1
	rm -rf src/test/jdbc/*.class src/test/jdbc/result src/test/jdbc/pgpool.properties
	# tests disabled because they have been broken in commit cdb49d3
	#$(MAKE) -C src/test/parser clean
	#rm -rf src/test/parser/result src/test/parser/test.diff
	#$(MAKE) -C src/test/timestamp clean
	#rm -rf src/test/timestamp/result src/test/timestamp/test.diff
	cd src/test/regression && bash clean.sh
	rm -rf debian/postgresql-*-pgpool2/ debian/*.substvars

override_dh_auto_configure:
	./configure --prefix=/usr \
		--sysconfdir=/etc/pgpool2 \
		--bindir=/usr/sbin \
		--includedir=/usr/include/pgpool2 \
		--disable-rpath \
		--with-openssl \
		--with-pam \
		--with-memcached=/usr/include/libmemcached
	# create directory here so we can unlink it in case autopkgtest leaves files owned by root behind
	mkdir -p src/test/jdbc/result

override_dh_auto_test:
	dh_auto_test
	# tests disabled because they have been broken in commit cdb49d3
	#$(MAKE) -C src/test/parser test
	#chmod +x src/test/timestamp/run-test
	#$(MAKE) -C src/test/timestamp test
	# src/test/jdbc is executed by autopkgtest

override_dh_auto_install:
	dh_auto_install
	set -e ; \
	for v in `pg_buildext supported-versions .` ; do \
		echo "# $$v ##################################################################" ; \
		PG_CONFIG=/usr/lib/postgresql/$$v/bin/pg_config ; \
		$(MAKE) -C src/sql clean PG_CONFIG=$$PG_CONFIG ; \
		$(MAKE) -C src/sql PG_CONFIG=$$PG_CONFIG ; \
		chrpath -d src/sql/pgpool_adm/pgpool_adm.so ; \
		$(MAKE) -C src/sql install DESTDIR=$(CURDIR)/debian/postgresql-$$v-pgpool2 PG_CONFIG=$$PG_CONFIG ; \
	done

override_dh_install:
	# pgpool.conf is handled by ucf
	mkdir -p debian/tmp/usr/share/pgpool2
	mv debian/tmp/etc/pgpool2/pgpool.conf.sample debian/tmp/usr/share/pgpool2/pgpool.conf
	set -e ; for f in pcp.conf pool_hba.conf ; do mv debian/tmp/etc/pgpool2/$$f.sample debian/tmp/etc/pgpool2/$$f ; done
	rm debian/tmp/usr/lib/libpcp.la # not interested in .la
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

%:
# use dh_systemd_* only on recent dists that have dh-systemd (>= 1.19)
ifneq ($(wildcard /usr/bin/dh_systemd_start),)
	dh $@ --with autoreconf,systemd
else
	dh $@ --with autoreconf
endif

=== debian/tests/control ===
# pgcommon.sh introduced in pg-common 159
# Squeeze needs "| libpg-java"
Depends: @, postgresql-common (>= 159~), postgresql, default-jdk, libpostgresql-jdbc-java | libpg-java, postgresql-server-dev-all
Restrictions: needs-root
Tests: jdbc-tests

Depends: @, postgresql-common (>= 159~), postgresql-server-dev-all
Restrictions: allow-stderr
Tests: installcheck

## pgpool2 4.1.0

=== debian/changelog ===
pgpool2 (4.1.0-1) unstable; urgency=medium

  * New upstream version.
  * Disable hurd-i386. (Closes: #876939)

 -- Christoph Berg <myon@debian.org>  Mon, 11 Nov 2019 14:13:39 +0100

pgpool2 (4.0.6-2) unstable; urgency=medium

  * Upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 09:32:36 +0100

pgpool2 (4.0.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 26 Aug 2019 13:20:32 +0200

pgpool2 (4.0.5-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 31 May 2019 15:11:21 +0200

pgpool2 (4.0.4-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Apr 2019 09:17:45 +0200

## pgpool2 4.1.1

=== debian/changelog ===
pgpool2 (4.1.1-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 28 Feb 2020 12:01:10 +0100

pgpool2 (4.1.1-2) unstable; urgency=medium

  * postgresql-*-pgpool2: Relax dependency on libpgpool0 so module packages
    for older PG versions don't become uninstallable once the libpgpool0
    version advances.

 -- Christoph Berg <myon@debian.org>  Fri, 28 Feb 2020 12:01:10 +0100

pgpool2 (4.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 27 Feb 2020 13:12:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,10 @@
 		--with-memcached=/usr/include/libmemcached
 	# create directory here so we can unlink it in case autopkgtest leaves files owned by root behind
 	mkdir -p src/test/jdbc/result
+
+override_dh_auto_build:
+	$(MAKE)
+	$(MAKE) -C doc
 
 override_dh_auto_test:
 	dh_auto_test

## pgpool2 4.1.4

=== src/sql/Makefile ===
# $Header$
#
# pgpool: a language independent connection pool server for PostgreSQL
# written by Tatsuo Ishii
#
# Copyright (c) 2003-2013	PgPool Global Development Group
#
# Permission to use, copy, modify, and distribute this software and
# its documentation for any purpose and without fee is hereby
# granted, provided that the above copyright notice appear in all
# copies and that both that copyright notice and this permission
# notice appear in supporting documentation, and that the name of the
# author not be used in advertising or publicity pertaining to
# distribution of the software without specific, written prior
# permission. The author makes no representations about the
# suitability of this software for any purpose.  It is provided "as
# is" without express or implied warranty.
#
# Makefile for sql/ directory.

subdir = sql

# if you are using PostgreSQL 8.0 or later,
# using pg_config is recommended.
# if you are not, comment out following line and...
USE_PGXS = true
# set top_builddir to the PostgreSQL build source tree top.
# (for example /usr/local/src/postgresql-9.0)
top_builddir = ..

ifdef USE_PGXS
PG_CONFIG ?= pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

SUBDIRS = \
		pgpool-recovery \
		pgpool-regclass \
		pgpool_adm

$(recurse)

=== src/test/regression/tests/010.rewrite_timestamp/timestamp/Makefile ===
PROGRAM=timestamp-test
topsrc_dir=../../../../..
CPPFLAGS=-I$(topsrc_dir)/include -I$(shell pg_config --includedir)
CFLAGS=-Wall -O0 -g
CC=gcc

OBJS=main.o \
	 $(topsrc_dir)/utils/strlcpy.o \
	 $(topsrc_dir)/utils/psprintf.o \
	 $(topsrc_dir)/rewrite/pool_timestamp.o \
	 $(topsrc_dir)/parser/libsql-parser.a

all: all-pre $(PROGRAM)

all-pre:
	$(MAKE) -C $(topsrc_dir)/utils strlcpy.o
	$(MAKE) -C $(topsrc_dir)/utils psprintf.o
	$(MAKE) -C $(topsrc_dir)/rewrite pool_timestamp.o
	$(MAKE) -C $(topsrc_dir)/parser

$(PROGRAM): $(OBJS)
	$(CC) $(OBJS) -o $(PROGRAM)

main.o: main.c

test: $(PROGRAM)
	./run-test parse_schedule

clean:
	-rm *.o
	-rm $(PROGRAM)
	-rm result/*.out
	-rm result.txt
	-rm test.diff

.PHONY: all all-pre test clean

=== debian/changelog ===
pgpool2 (4.1.4-3+deb11u2) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2025-46801 (Closes: #1106119)
    Pgpool-II  contains an
    authentication bypass by primary weakness vulnerability. if the
    vulnerability is exploited, an attacker may be able to log in to the
    system as an arbitrary user, allowing them to read or tamper with
    data in the database, and/or disable the database.
    .
    If enable_pool_hba = on, it's auth method is "password", no password
    is registered in pool_passwd, and auth method in pg_hba.conf is
    "scram-sha-256" or "md5", for the first time when a client connects to
    pgpool, authentication is performed as expected. But if a client
    connects to the cached connection, any password from the client is
    accepted.
    .
    This vulnerability affects systems where the authentication configuration
    matches one of the following patterns:
    .
    Pattern 1: This vulnerability occurs when all of the following conditions
    are met:
    .
    - The password authentication method is used in pool_hba.conf
    - allow_clear_text_frontend_auth = off
    - The user's password is not set in pool_passwd
    - The scram-sha-256 or md5 authentication method is used in pg_hba.conf
    .
    Pattern 2: This vulnerability occurs when all of the following conditions
    are met:
    .
    - enable_pool_hba = off
    - One of the following authentication methods is used in pg_hba.conf:
      password, pam, or ldap
    .
    Pattern 3: This vulnerability occurs when all of the following conditions
    are met:
    .
    - Raw mode is used (backend_clustering_mode = 'raw')
    - The md5 authentication method is used in pool_hba.conf
    - allow_clear_text_frontend_auth = off
    - The user's password is registered in pool_passwd in plain text or AES
      format
    - One of the following authentication methods is used in pg_hba.conf:
      password, pam, or ldap
    .
    Alternatively, you can modify your settings so that they do not match any
    of the vulnerable configuration patterns.
  * debian/tests/jdbc-tests: Use scram-sha-256 authentication.

 -- Bastien Roucariès <rouca@debian.org>  Sun, 12 Oct 2025 11:02:59 +0200

pgpool2 (4.1.4-3+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2023-22332, CVE-2024-45624

 -- Abhijith PA <abhijith@debian.org>  Tue, 10 Dec 2024 20:14:24 +0530

pgpool2 (4.1.4-3) unstable; urgency=medium

  * Fix connection count when query is canceled. (Closes: #987183,
    upstream #656, git 6d6e4cc3).

 -- Christoph Berg <myon@debian.org>  Mon, 19 Apr 2021 17:43:35 +0200

pgpool2 (4.1.4-2) unstable; urgency=medium

  * Bump test-dependency on pg-common for `pg_buildext psql`.
  * Test-depend on locales-all instead of generating locales ourselves.
  * R³: no.

 -- Christoph Berg <myon@debian.org>  Fri, 09 Oct 2020 16:48:13 +0200

pgpool2 (4.1.4-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 13.
  * debian/tests: Use pg_buildext psql.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Oct 2020 15:43:01 +0200

pgpool2 (4.1.2-2) unstable; urgency=medium

  * debian/tests/jdbc-tests: pgjdbc 42.2.15 adds gssEncMode, disable it here
    since pgpool2 doesn't support it yet.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Aug 2020 15:22:55 +0200

pgpool2 (4.1.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Christoph Berg ]
  * New upstream version.
  * DH 13: drop explicit dh_autoreconf, dh_systemd, and fail-missing.
  * Bump S-V.
  * pgpool2: Add misc:Pre-Depends as per Lintian.

 -- Christoph Berg <myon@debian.org>  Mon, 25 May 2020 13:27:39 +0200

=== debian/rules ===
--- 
+++ 
@@ -60,15 +60,10 @@
 	mv debian/tmp/etc/pgpool2/pgpool.conf.sample debian/tmp/usr/share/pgpool2/pgpool.conf
 	set -e ; for f in pcp.conf pool_hba.conf ; do mv debian/tmp/etc/pgpool2/$$f.sample debian/tmp/etc/pgpool2/$$f ; done
 	rm debian/tmp/usr/lib/libpcp.la # not interested in .la
-	dh_install --fail-missing
+	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
 %:
-# use dh_systemd_* only on recent dists that have dh-systemd (>= 1.19)
-ifneq ($(wildcard /usr/bin/dh_systemd_start),)
-	dh $@ --with autoreconf,systemd
-else
-	dh $@ --with autoreconf
-endif
+	dh $@

=== debian/tests/control ===
Depends: @, postgresql, default-jdk, libpostgresql-jdbc-java, locales-all, make
Restrictions: needs-root
Tests: jdbc-tests

Depends: @, postgresql-common (>= 217~), make
Restrictions: allow-stderr
Tests: installcheck

=== debian/watch ===
version=3
opts=filenamemangle=s/.*=(.*)/$1/ \
http://www.pgpool.net/mediawiki/index.php/Downloads .*pgpool-II-([0-9.]+).tar.gz

## pgpool2 4.3.2

=== debian/changelog ===
pgpool2 (4.3.2-1.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 24 May 2022 17:53:39 +0200

pgpool2 (4.3.2-1) unstable; urgency=medium

  * New upstream version 4.3.2.

 -- Christoph Berg <myon@debian.org>  Tue, 24 May 2022 17:53:39 +0200

pgpool2 (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1.
  * Bump soname to libpgpool2.

 -- Christoph Berg <myon@debian.org>  Tue, 08 Mar 2022 12:36:35 +0100

pgpool2 (4.1.4-6) unstable; urgency=medium

  * Upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Nov 2021 14:45:01 +0100

pgpool2 (4.1.4-5) unstable; urgency=medium

  * Temporarily build-depend on postgresql-server-dev-13.

 -- Christoph Berg <myon@debian.org>  Wed, 06 Oct 2021 14:48:18 +0200

pgpool2 (4.1.4-4) unstable; urgency=medium

  * debian/tests/jdbc-tests: Work around failure with PG14 scram
    authentication.
  * Temporarily force building against PG13 to get the PG14 transition
    unstuck.

 -- Christoph Berg <myon@debian.org>  Wed, 06 Oct 2021 14:13:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,7 @@
 Build-Depends:
  bison,
  chrpath,
- debhelper (>= 9),
- debhelper (>= 9.20160709) | dh-systemd (>= 1.19),
- dh-autoreconf,
+ debhelper (>= 10),
  docbook,
  docbook-dsssl,
  docbook-xml,
@@ -26,16 +24,17 @@
  opensp,
  postgresql-server-dev-all (>= 148~),
  xsltproc,
-Standards-Version: 4.1.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.pgpool.net/mediawiki/index.php/Main_Page
 Vcs-Git: https://salsa.debian.org/postgresql/pgpool2.git
 Vcs-Browser: https://salsa.debian.org/postgresql/pgpool2
-XS-Testsuite: autopkgtest
 
 Package: pgpool2
-Architecture: any
+Architecture: linux-any kfreebsd-any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
- libpgpool0 (= ${binary:Version}),
+ libpgpool2 (= ${binary:Version}),
  lsb-base (>= 3.0-3),
  postgresql-common (>= 26),
  ucf,
@@ -63,8 +62,8 @@
  .
  This is version 3 of pgpool-II, the second generation of pgpool.
 
-Package: libpgpool0
-Architecture: any
+Package: libpgpool2
+Architecture: linux-any kfreebsd-any
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: pgpool2 (<< 3.1.1)
@@ -74,9 +73,9 @@
  protocol library (libpcp).
 
 Package: libpgpool-dev
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Section: libdevel
-Depends: libpgpool0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libpgpool2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 # We also provide /usr/lib/libpcp.{a,so}
 Conflicts: libpcp3-dev
 Description: pgpool control protocol library - headers
@@ -84,10 +83,26 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
+Package: postgresql-10-pgpool2
+Architecture: linux-any kfreebsd-any
+Depends:
+ libpgpool2 (>= ${binary:Version}),
+ postgresql-10,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 10 server:
+ .
+  * pgpool_adm
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)
+
 Package: postgresql-11-pgpool2
-Architecture: any
+Architecture: linux-any kfreebsd-any
 Depends:
- libpgpool0 (= ${binary:Version}),
+ libpgpool2 (>= ${binary:Version}),
  postgresql-11,
  ${misc:Depends},
  ${shlibs:Depends},
@@ -100,3 +115,50 @@
   * pgpool_recovery (PostgreSQL 9.1 and above)
   * pgpool_regclass (PostgreSQL 9.1 and above)
 
+Package: postgresql-12-pgpool2
+Architecture: linux-any kfreebsd-any
+Depends:
+ libpgpool2 (>= ${binary:Version}),
+ postgresql-12,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 12 server:
+ .
+  * pgpool_adm
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)
+
+Package: postgresql-13-pgpool2
+Architecture: linux-any kfreebsd-any
+Depends:
+ libpgpool2 (>= ${binary:Version}),
+ postgresql-13,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 13 server:
+ .
+  * pgpool_adm
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)
+
+Package: postgresql-14-pgpool2
+Architecture: linux-any kfreebsd-any
+Depends:
+ libpgpool2 (>= ${binary:Version}),
+ postgresql-14,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 14 server:
+ .
+  * pgpool_adm
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)

## pgpool2 4.3.3

=== debian/changelog ===
pgpool2 (4.3.3-3) unstable; urgency=medium

  * Enable LDAP authentication. (PostgreSQL Redmine #7688)

 -- Christoph Berg <myon@debian.org>  Wed, 16 Nov 2022 16:38:06 +0100

pgpool2 (4.3.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove unnecessary constraints.

  [ Christoph Berg ]
  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 19:29:20 +0200

pgpool2 (4.3.3-1) unstable; urgency=medium

  * New upstream version 4.3.3.

 -- Christoph Berg <myon@debian.org>  Wed, 31 Aug 2022 15:57:53 +0200

## pgpool2 4.3.5

=== src/sql/pgpool-regclass/Makefile ===
MODULES = pgpool-regclass
DATA_built = pgpool-regclass.sql
DATA = uninstall_pgpool-regclass.sql

EXTENSION = pgpool_regclass
DATA = pgpool_regclass--1.0.sql

# if you are using PostgreSQL 8.0 or later,
# using pg_config is recommended.
# if you are not, comment out following line and...
USE_PGXS = true
# set top_builddir to the PostgreSQL build source tree top.
# (for example /usr/local/src/postgresql-8.4)
top_builddir = ../..

ifdef USE_PGXS
PG_CONFIG ?= pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pgpool-regclass
#top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== debian/changelog ===
pgpool2 (4.3.5-1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2024-45624: incompatible policies may allow an unauthorized user to
    retrieve table data from query cache (Closes: #1081659)
  * CVE-2025-46801: authentication bypass by primary weakness vulnerability
    (Closes: #1106119)

 -- Aron Xu <aron@debian.org>  Wed, 09 Jul 2025 17:34:58 +0800

pgpool2 (4.3.5-1) unstable; urgency=medium

  * New upstream version 4.3.5. (Closes: #1030048)

    + Fixes Information disclosure vulnerability CVE-2023-22332:

      A specific database user's authentication information may be obtained
      by another database user. As a result, the information stored in the
      database may be altered and/or database may be suspended by a remote
      attacker who successfully logged in the product with the obtained
      credentials.

  * debian/pgpool2.service: Start after network.target.

 -- Christoph Berg <myon@debian.org>  Wed, 01 Mar 2023 11:09:35 +0100

=== debian/control ===
Source: pgpool2
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
 Marco Nenciarini <mnencia@debian.org>,
 Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
Build-Depends:
 bison,
 chrpath,
 debhelper-compat (= 13),
 docbook,
 docbook-dsssl,
 docbook-xml,
 docbook-xsl,
 flex,
 libldap-dev,
 libmemcached-dev,
 libpam0g-dev,
 libpq-dev,
 libssl-dev,
 libxml2-utils,
 openjade,
 opensp,
 postgresql-server-dev-all,
 xsltproc,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.pgpool.net/mediawiki/index.php/Main_Page
Vcs-Git: https://salsa.debian.org/postgresql/pgpool2.git
Vcs-Browser: https://salsa.debian.org/postgresql/pgpool2

Package: pgpool2
Architecture: linux-any kfreebsd-any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libpgpool2 (= ${binary:Version}),
 lsb-base,
 postgresql-common,
 ucf,
 ${misc:Depends},
 ${shlibs:Depends},
Enhances: postgresql
Conflicts: pgpool
Replaces: pgpool
Description: connection pool server and replication proxy for PostgreSQL
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client. It provides the following features:
 .
  * Connection Pooling
  * Replication
  * Load Balance
  * Limiting Exceeding Connections
  * Parallel Query
 .
 pgpool-II talks PostgreSQL's backend and frontend protocol, and relays a
 connection between them. Therefore, a database application (frontend) thinks
 that pgpool-II is the actual PostgreSQL server, and the server (backend) sees
 pgpool-II as one of its clients. Because pgpool-II is transparent to both the
 server and the client, an existing database application can be used with
 pgpool-II almost without a change to its sources.
 .
 This is version 3 of pgpool-II, the second generation of pgpool.

Package: libpgpool2
Architecture: linux-any kfreebsd-any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: pgpool control protocol library
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client.  This package contains the pgpool control
 protocol library (libpcp).

Package: libpgpool-dev
Architecture: linux-any kfreebsd-any
Section: libdevel
Depends: libpgpool2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
# We also provide /usr/lib/libpcp.{a,so}
Conflicts: libpcp3-dev
Description: pgpool control protocol library - headers
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client.  This package contains headers for the pgpool
 control protocol library (libpcp).

Package: postgresql-15-pgpool2
Architecture: linux-any kfreebsd-any
Depends:
 libpgpool2 (>= ${binary:Version}),
 postgresql-15,
 ${misc:Depends},
 ${shlibs:Depends},
Description: connection pool server and replication proxy for PostgreSQL - modules
 pgpool-II is a middleware that works between PostgreSQL servers and a
 PostgreSQL database client.  This package contains support modules for
 the PostgreSQL 15 server:
 .
  * pgpool_adm
  * pgpool_recovery (PostgreSQL 9.1 and above)
  * pgpool_regclass (PostgreSQL 9.1 and above)

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 		--bindir=/usr/sbin \
 		--includedir=/usr/include/pgpool2 \
 		--disable-rpath \
+		--with-ldap \
 		--with-openssl \
 		--with-pam \
 		--with-memcached=/usr/include/libmemcached

## pgpool2 4.3.7

=== src/sql/pgpool-recovery/Makefile ===
MODULES = pgpool-recovery
DATA_built = pgpool-recovery.sql
DATA = uninstall_pgpool-recovery.sql

EXTENSION = pgpool_recovery
DATA = pgpool_recovery--1.1.sql pgpool_recovery--1.2.sql pgpool_recovery--1.1--1.2.sql \
	pgpool_recovery--1.3.sql pgpool_recovery--1.2--1.3.sql \
	pgpool_recovery--1.4.sql pgpool_recovery--1.3--1.4.sql

# if you are using PostgreSQL 8.0 or later,
# using pg_config is recommended.
# if you are not, comment out following line and...
USE_PGXS = true
# set top_builddir to the PostgreSQL build source tree top.
# (for example /usr/local/src/postgresql-8.4)
top_builddir = ../..

ifdef USE_PGXS
PG_CONFIG ?= pg_config
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pgpool-recovery
#top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

=== src/test/regression/tests/010.rewrite_timestamp/timestamp/Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 PROGRAM=timestamp-test
 topsrc_dir=../../../../..
-CPPFLAGS=-I$(topsrc_dir)/include -I$(shell pg_config --includedir)
-CFLAGS=-Wall -O0 -g
+CPPFLAGS=-I$(topsrc_dir)/include -I$(shell $(PGBIN)/pg_config --includedir)
+CFLAGS=-Wall -O0 -g -std=gnu99
 CC=gcc
 
 OBJS=main.o \
 	 $(topsrc_dir)/utils/strlcpy.o \
 	 $(topsrc_dir)/utils/psprintf.o \
+	 $(topsrc_dir)/main/pool_globals.o \
 	 $(topsrc_dir)/rewrite/pool_timestamp.o \
 	 $(topsrc_dir)/parser/libsql-parser.a
 
@@ -15,6 +16,7 @@
 all-pre:
 	$(MAKE) -C $(topsrc_dir)/utils strlcpy.o
 	$(MAKE) -C $(topsrc_dir)/utils psprintf.o
+	$(MAKE) -C $(topsrc_dir)/main pool_globals.o
 	$(MAKE) -C $(topsrc_dir)/rewrite pool_timestamp.o
 	$(MAKE) -C $(topsrc_dir)/parser

=== debian/changelog ===
pgpool2 (4.3.7-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:18:59 +1100

pgpool2 (4.3.7-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:02:07 +0000

pgpool2 (4.3.7-1ubuntu2) noble; urgency=medium

  * d/p/fix-implicit-function-declaration.patch: fix errors caused by
    -Werror=implicit-function-declaration (LP: #2055234).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Wed, 28 Feb 2024 13:05:10 +1300

pgpool2 (4.3.7-1ubuntu1) noble; urgency=medium

  * d/p/java21-deprecation.patch: fix autopkgtest failure with
    Java 21. Use Runtime.exec(String[]) to avoid deprecation warning
    (LP: #2054944).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Mon, 26 Feb 2024 14:41:25 +1300

pgpool2 (4.3.7-1) unstable; urgency=medium

  * New upstream version 4.3.7.

 -- Christoph Berg <myon@debian.org>  Sat, 25 Nov 2023 10:47:05 +0000

pgpool2 (4.3.5-3) unstable; urgency=medium

  * Revert usage of ${postgresql:Depends}, needs more pg_buildext.

 -- Christoph Berg <myon@debian.org>  Sat, 23 Sep 2023 10:20:12 +0200

pgpool2 (4.3.5-2) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Use ${postgresql:Depends}.
  * Mark jdbc test as skip-not-installable, ca-certificates-java often acts
    up.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 23:47:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pgpool2
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Marco Nenciarini <mnencia@debian.org>,
@@ -25,7 +26,7 @@
  opensp,
  postgresql-server-dev-all,
  xsltproc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.pgpool.net/mediawiki/index.php/Main_Page
 Vcs-Git: https://salsa.debian.org/postgresql/pgpool2.git
@@ -83,17 +84,17 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
-Package: postgresql-15-pgpool2
+Package: postgresql-16-pgpool2
 Architecture: linux-any kfreebsd-any
 Depends:
  libpgpool2 (>= ${binary:Version}),
- postgresql-15,
+ postgresql-16,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: connection pool server and replication proxy for PostgreSQL - modules
  pgpool-II is a middleware that works between PostgreSQL servers and a
  PostgreSQL database client.  This package contains support modules for
- the PostgreSQL 15 server:
+ the PostgreSQL 16 server:
  .
   * pgpool_adm
   * pgpool_recovery (PostgreSQL 9.1 and above)

=== debian/watch ===
version=3
opts=filenamemangle=s/.*=(.*)/$1/ \
http://www.pgpool.net/mediawiki/index.php/Downloads .*pgpool-II-(4.3.[0-9.]+).tar.gz

## pgpool2 4.5.2

=== debian/changelog ===
pgpool2 (4.5.2-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 10 Jun 2024 12:07:41 +0200

pgpool2 (4.5.2-1) unstable; urgency=medium

  * New upstream version 4.5.2.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Jun 2024 12:07:41 +0200

pgpool2 (4.3.7-2) unstable; urgency=medium

  [ Vladimir Petko ]
  * d/p/java21-deprecation.patch: fix autopkgtest failure with Java 21.
    Use Runtime.exec(String[]) to avoid deprecation warning (Closes:
    #1064789).
  * fix -Werror=implicit-function-declaration errors. (Closes: #1065000)
  * Tests: fix indentation and remove stray getTestName() call.

 -- Christoph Berg <myon@debian.org>  Thu, 29 Feb 2024 11:49:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pgpool2
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
  Marco Nenciarini <mnencia@debian.org>,
@@ -37,7 +36,6 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
  libpgpool2 (= ${binary:Version}),
- lsb-base,
  postgresql-common,
  ucf,
  ${misc:Depends},
@@ -84,6 +82,102 @@
  PostgreSQL database client.  This package contains headers for the pgpool
  control protocol library (libpcp).
 
+Package: postgresql-10-pgpool2
+Architecture: linux-any kfreebsd-any
+Depends:
+ libpgpool2 (>= ${binary:Version}),
+ postgresql-10,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 10 server:
+ .
+  * pgpool_adm
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)
+
+Package: postgresql-11-pgpool2
+Architecture: linux-any kfreebsd-any
+Depends:
+ libpgpool2 (>= ${binary:Version}),
+ postgresql-11,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 11 server:
+ .
+  * pgpool_adm
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)
+
+Package: postgresql-12-pgpool2
+Architecture: linux-any kfreebsd-any
+Depends:
+ libpgpool2 (>= ${binary:Version}),
+ postgresql-12,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 12 server:
+ .
+  * pgpool_adm
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)
+
+Package: postgresql-13-pgpool2
+Architecture: linux-any kfreebsd-any
+Depends:
+ libpgpool2 (>= ${binary:Version}),
+ postgresql-13,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 13 server:
+ .
+  * pgpool_adm
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)
+
+Package: postgresql-14-pgpool2
+Architecture: linux-any kfreebsd-any
+Depends:
+ libpgpool2 (>= ${binary:Version}),
+ postgresql-14,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 14 server:
+ .
+  * pgpool_adm
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)
+
+Package: postgresql-15-pgpool2
+Architecture: linux-any kfreebsd-any
+Depends:
+ libpgpool2 (>= ${binary:Version}),
+ postgresql-15,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 15 server:
+ .
+  * pgpool_adm
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)
+
 Package: postgresql-16-pgpool2
 Architecture: linux-any kfreebsd-any
 Depends:

## pgpool2 4.5.4

=== debian/changelog ===
pgpool2 (4.5.4-3) unstable; urgency=medium

  * Revert usage of ${postgresql:Depends}, doesn't work without dh --with pgxs.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 21:59:17 +0000

pgpool2 (4.5.4-2) unstable; urgency=medium

  * Restrict to 64-bit architectures.
  * Use ${postgresql:Depends}.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 15:00:37 +0200

pgpool2 (4.5.4-1) unstable; urgency=medium

  * New upstream version 4.5.4. (Closes: #1081659)
  * Fixes CVE-2024-45624[0]:
      Exposure of sensitive information due to incompatible policies issue
      exists in Pgpool-II. If a database user accesses a query cache,
      table data unauthorized for the user may be retrieved.
  * Upload for PostgreSQL 17.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Sep 2024 21:54:33 +0200

pgpool2 (4.5.3-1) unstable; urgency=medium

  * New upstream version 4.5.3.

 -- Christoph Berg <myon@debian.org>  Wed, 21 Aug 2024 10:22:34 +0200

## pgpool2 4.5.5

=== debian/changelog ===
pgpool2 (4.5.5-1) unstable; urgency=medium

  * New upstream version 4.5.5.

 -- Christoph Berg <myon@debian.org>  Mon, 09 Dec 2024 13:19:10 +0100

## pgpool2 4.6.0

=== debian/changelog ===
pgpool2 (4.6.0-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 03 Mar 2025 15:04:01 +0000

pgpool2 (4.6.0-1) unstable; urgency=medium

  * New upstream version 4.6.0.

 -- Christoph Berg <myon@debian.org>  Mon, 03 Mar 2025 15:04:01 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  Marco Nenciarini <mnencia@debian.org>,
  Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
 Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  bison,
  chrpath,
  debhelper-compat (= 13),
@@ -25,7 +26,7 @@
  opensp,
  postgresql-server-dev-all,
  xsltproc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.pgpool.net/mediawiki/index.php/Main_Page
 Vcs-Git: https://salsa.debian.org/postgresql/pgpool2.git
@@ -193,3 +194,19 @@
   * pgpool_adm
   * pgpool_recovery (PostgreSQL 9.1 and above)
   * pgpool_regclass (PostgreSQL 9.1 and above)
+
+Package: postgresql-17-pgpool2
+Architecture: linux-any kfreebsd-any
+Depends:
+ libpgpool2 (>= ${binary:Version}),
+ postgresql-17,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: connection pool server and replication proxy for PostgreSQL - modules
+ pgpool-II is a middleware that works between PostgreSQL servers and a
+ PostgreSQL database client.  This package contains support modules for
+ the PostgreSQL 17 server:
+ .
+  * pgpool_adm
+  * pgpool_recovery (PostgreSQL 9.1 and above)
+  * pgpool_regclass (PostgreSQL 9.1 and above)

## pgpool2 4.6.1

=== debian/changelog ===
pgpool2 (4.6.1-2) unstable; urgency=medium

  * Fix compatibility with big-endian systems. (Closes: #1106899)

 -- Christoph Berg <myon@debian.org>  Mon, 30 Jun 2025 17:32:30 +0200

pgpool2 (4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1. (Closes: #1106119)

    + An authentication bypass vulnerability exists in the client
    authentication mechanism of Pgpool-II. In Pgpool-II, authentication may be
    bypassed even when it is supposed to be enforced. As a result, an attacker
    could log in as any user, potentially leading to information disclosure,
    data tampering, or even a complete shutdown of the database.
    (CVE-2025-46801)

    This vulnerability affects systems where the authentication configuration
    matches one of the following patterns:

    Pattern 1: This vulnerability occurs when all of the following conditions
    are met:

    - The password authentication method is used in pool_hba.conf
    - allow_clear_text_frontend_auth = off
    - The user's password is not set in pool_passwd
    - The scram-sha-256 or md5 authentication method is used in pg_hba.conf

    Pattern 2: This vulnerability occurs when all of the following conditions
    are met:

    - enable_pool_hba = off
    - One of the following authentication methods is used in pg_hba.conf:
      password, pam, or ldap

    Pattern 3: This vulnerability occurs when all of the following conditions
    are met:

    - Raw mode is used (backend_clustering_mode = 'raw')
    - The md5 authentication method is used in pool_hba.conf
    - allow_clear_text_frontend_auth = off
    - The user's password is registered in pool_passwd in plain text or AES
      format
    - One of the following authentication methods is used in pg_hba.conf:
      password, pam, or ldap

    Alternatively, you can modify your settings so that they do not match any
    of the vulnerable configuration patterns.

  * debian/tests/jdbc-tests: Use scram-sha-256 authentication.

 -- Christoph Berg <myon@debian.org>  Mon, 19 May 2025 12:09:11 +0200

pgpool2 (4.6.0-2) unstable; urgency=medium

  * Set html doc creation time based on SOURCE_DATE_EPOCH.

 -- Christoph Berg <myon@debian.org>  Tue, 22 Apr 2025 20:14:49 +0000

=== debian/tests/control ===
Depends: @, postgresql, default-jdk, libpostgresql-jdbc-java, locales-all, make
Restrictions: needs-root, skip-not-installable
Tests: jdbc-tests

Depends: @, postgresql-common (>= 217~), make
Restrictions: allow-stderr
Tests: installcheck

## pgpool2 4.6.2

=== debian/changelog ===
pgpool2 (4.6.2-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 01 Jun 2025 12:23:26 +0200

pgpool2 (4.6.2-1) experimental; urgency=medium

  * New upstream version 4.6.2.

 -- Christoph Berg <myon@debian.org>  Sun, 01 Jun 2025 12:23:26 +0200
